#   File:       test.make
#   Target:     test
#   Sources:    test.c

Makefile = test.make

fsource =	test.f 
			
csource =	main.c

fobjs 	=	test.f.o  
			
cobjs	=	main.c.o


objects =	{fobjs} 
			{cobjs}

C			=	MWCPPC
COptions	=	-align power -nosyspath -i "{CIncludes}"
F2C			=	f2c
#F2COptions	=	-f -!i8 -A -P -a -E -ec -!R -r8 -s -w66 -Nq150 -Nx200 -Ns801 -Nc20 -Nn401 -NL200 -NC99 -Nl256 
F2COptions	=	-f -!i8 -A -a -E -ec -!R -r8 -w66
Link		=	MWLinkPPC
LinkOptions	=	-d -c 'MPS ' -t 'MPST' -fastlink off
test    {objects} {Makefile}
    {Link} {LinkOptions} 
        {OBJECTS} 
		"{MWPPCLibraries}"MWStdCRuntime.Lib   
		"{MWPPCLibraries}"StdCLib   
		"{MWPPCLibraries}"InterfaceLib   
		"{MWPPCLibraries}PPCToolLibs.o" 
		"{MWPPCLibraries}"MathLib   
        "{F2CLibraries}"libI77.PPC   
        "{F2CLibraries}"libF77.PPC   
        -o test

test   test.r {Makefile}
	Rez -a -o test -d APPNAME="test" test.r

.f.o		.f
	{F2C} {F2COptions} {Default}.f 	#compile the fortran and then compile the resulting C file.
	setfile -t "TEXT" -c "MPS " {default}.c
	{C} {COptions} {default}.c -o {Targ}


.c.o		.c
	{C} {COptions} {default}.c -o {Targ}

# If you FORTRAN code has common blocks add common.c.o to the cobjs list 
# and then this rule should take care of it
common.c		{fobjs}
	setfile -t "TEXT" -c "MPS " ?+_com.c
	catenate ?+_com.c > {Targ}	#This puts all the common block files into one file for compiling.
								#The wild card lets us add common blocks to the fortran code
								#without having to change the makefile!  The common block files all
								#end with _com.c

{objects}		{Makefile}		#do a full rebuild if the makefile changes

# makefile end

